import { g as getDefaultExportFromCjs } from "./_commonjsHelpers-DWwsNxpa.js";
import { r as requireIsDeepKey, f as requireToPath, h as requireIsUnsafeProperty, j as requireToKey, k as requireGet } from "./ResponsiveContainer-by1DMaUt.js";
import { aD as requireCloneDeep } from "./RechartsWrapper-B6DckFGn.js";
var omit$2 = {};
var unset = {};
var hasRequiredUnset;
function requireUnset() {
  if (hasRequiredUnset) return unset;
  hasRequiredUnset = 1;
  (function(exports) {
    Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
    const get = /* @__PURE__ */ requireGet();
    const isUnsafeProperty = /* @__PURE__ */ requireIsUnsafeProperty();
    const isDeepKey = /* @__PURE__ */ requireIsDeepKey();
    const toKey = /* @__PURE__ */ requireToKey();
    const toPath = /* @__PURE__ */ requireToPath();
    function unset2(obj, path) {
      if (obj == null) {
        return true;
      }
      switch (typeof path) {
        case "symbol":
        case "number":
        case "object": {
          if (Array.isArray(path)) {
            return unsetWithPath(obj, path);
          }
          if (typeof path === "number") {
            path = toKey.toKey(path);
          } else if (typeof path === "object") {
            if (Object.is(path?.valueOf(), -0)) {
              path = "-0";
            } else {
              path = String(path);
            }
          }
          if (isUnsafeProperty.isUnsafeProperty(path)) {
            return false;
          }
          if (obj?.[path] === void 0) {
            return true;
          }
          try {
            delete obj[path];
            return true;
          } catch {
            return false;
          }
        }
        case "string": {
          if (obj?.[path] === void 0 && isDeepKey.isDeepKey(path)) {
            return unsetWithPath(obj, toPath.toPath(path));
          }
          if (isUnsafeProperty.isUnsafeProperty(path)) {
            return false;
          }
          try {
            delete obj[path];
            return true;
          } catch {
            return false;
          }
        }
      }
    }
    function unsetWithPath(obj, path) {
      const parent = get.get(obj, path.slice(0, -1), obj);
      const lastKey = path[path.length - 1];
      if (parent?.[lastKey] === void 0) {
        return true;
      }
      if (isUnsafeProperty.isUnsafeProperty(lastKey)) {
        return false;
      }
      try {
        delete parent[lastKey];
        return true;
      } catch {
        return false;
      }
    }
    exports.unset = unset2;
  })(unset);
  return unset;
}
var hasRequiredOmit$1;
function requireOmit$1() {
  if (hasRequiredOmit$1) return omit$2;
  hasRequiredOmit$1 = 1;
  (function(exports) {
    Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
    const unset2 = /* @__PURE__ */ requireUnset();
    const cloneDeep = /* @__PURE__ */ requireCloneDeep();
    function omit2(obj, ...keysArr) {
      if (obj == null) {
        return {};
      }
      const result = cloneDeep.cloneDeep(obj);
      for (let i = 0; i < keysArr.length; i++) {
        let keys = keysArr[i];
        switch (typeof keys) {
          case "object": {
            if (!Array.isArray(keys)) {
              keys = Array.from(keys);
            }
            for (let j = 0; j < keys.length; j++) {
              const key = keys[j];
              unset2.unset(result, key);
            }
            break;
          }
          case "string":
          case "symbol":
          case "number": {
            unset2.unset(result, keys);
            break;
          }
        }
      }
      return result;
    }
    exports.omit = omit2;
  })(omit$2);
  return omit$2;
}
var omit$1;
var hasRequiredOmit;
function requireOmit() {
  if (hasRequiredOmit) return omit$1;
  hasRequiredOmit = 1;
  omit$1 = requireOmit$1().omit;
  return omit$1;
}
var omitExports = /* @__PURE__ */ requireOmit();
const omit = /* @__PURE__ */ getDefaultExportFromCjs(omitExports);
export {
  omit as o
};
